## ros-crystal-image-geometry 2.1.0

=== debian/changelog ===
ros-crystal-image-geometry (2.1.0-0bionic) bionic; urgency=high

  * python 3 compatibility in test (#244 <https://github.com/ros-perception/vision_opencv/issues/244>)
  * Ros2 revert handmade message initialization (#245 <https://github.com/ros-perception/vision_opencv/issues/245>)
    * revert initialization in PinholeCameraModel constructor (https://github.com/ros2/vision_opencv/pull/1/commits/d2e5edb207c58a54737c4949efe0ac9d4e638962)
    * revert message initialization in tests (https://github.com/ros2/vision_opencv/commit/ecbcd64c014a1ac21a831b55b43df8bc47e5c7ac)
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 26 Nov 2018 06:00:00 -0000

ros-crystal-image-geometry (2.0.5-0bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 17 Aug 2018 05:00:00 -0000

ros-crystal-image-geometry (2.0.4-0bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 14 Aug 2018 05:00:00 -0000

ros-crystal-image-geometry (2.0.3-0bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 07 Aug 2018 05:00:00 -0000

ros-crystal-image-geometry (2.0.2-0bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 29 Jun 2018 05:00:00 -0000

ros-crystal-image-geometry (2.0.1-0bionic) bionic; urgency=high

  * Mikael Arguedas claiming image_geometry maintainership (#230 <https://github.com/ros-perception/vision_opencv/issues/230>)
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-crystal-image-geometry (2.0.0-0bionic) bionic; urgency=high

  * Port image_geometry to ROS2. (#1)
  * remove dependency on boost given that we dont use it anymore (#4)
  * avoid passing std::vector to/from cv::projectPoints
  * Make sure to export include directories from image_geometry. (#5)
  * Build the image_geometry library shared. (#7)
  * use CMAKE_X_STANDARD and check compiler rather than platform
  * Use upstream opencv2. (#8)
  * Revert "avoid passing std::vector to/from cv::projectPoints" (#9)
  * use ament_cmake_pytest instead of ament_cmake_nose (#10)
  * Comment out unported test (#11)
  * reenable ported packages
  * [rebase fixup] remove boost support again
  * Contributors: Chris Lalancette, Mikael Arguedas, Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 31 May 2018 05:00:00 -0000

ros-crystal-image-geometry (1.12.7-0bionic) bionic; urgency=high

  * get shared_ptr from boost or C++11
  * Contributors: Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 12 Nov 2017 06:00:00 -0000

ros-crystal-image-geometry (1.12.6-0bionic) bionic; urgency=high

  * missing STL includes
  * Contributors: Mikael Arguedas, Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sat, 11 Nov 2017 06:00:00 -0000

ros-crystal-image-geometry (1.12.5-0bionic) bionic; urgency=high

  * Fix compilation issues.
    Fix suggested by #173 <https://github.com/ros-perception/vision_opencv/issues/173> comment
  * Make sure to initialize the distorted_image Mat.
    Otherwise, valgrind throws errors about accessing uninitialized
    memory.
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Remove the last remnants of boost from image_geometry.
    All of its functionality can be had from std:: in C++11, so
    use that instead.  This also requires us to add the -std=c++11
    flag.
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Contributors: Chris Lalancette, Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 05 Nov 2017 05:00:00 -0000

ros-crystal-image-geometry (1.12.4-0bionic) bionic; urgency=high

  * Import using __future__ for python 3 compatibility.
  * Contributors: Hans Gaiser

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 29 Jan 2017 06:00:00 -0000

ros-crystal-image-geometry (1.12.3-0bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 04 Dec 2016 06:00:00 -0000

ros-crystal-image-geometry (1.12.2-0bionic) bionic; urgency=high

  * Fix "stdlib.h: No such file or directory" errors in GCC-6
    Including '-isystem /usr/include' breaks building with GCC-6.
    See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
  * Merge pull request #142 <https://github.com/ros-perception/vision_opencv/issues/142> from YuOhara/remap_with_nan_border_value
    remap with nan border if mat value is float or double
  * remap with nan border if mat value is float or double
  * Contributors: Hodorgasm, Vincent Rabaud, YuOhara

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sat, 24 Sep 2016 05:00:00 -0000

ros-crystal-image-geometry (1.12.1-0bionic) bionic; urgency=high

  * Add fullResolution getter to PinholeCameraModel
  * add a missing dependency when building the doc
  * fix sphinx doc path
  * Contributors: Jacob Panikulam, Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 11 Jul 2016 05:00:00 -0000

ros-crystal-image-geometry (1.12.0-0bionic) bionic; urgency=high

  * depend on OpenCV3 only
  * Contributors: Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 18 Mar 2016 05:00:00 -0000

ros-crystal-image-geometry (1.11.12-0bionic) bionic; urgency=high

  * issue #117 <https://github.com/ros-perception/vision_opencv/issues/117> pull request #118 <https://github.com/ros-perception/vision_opencv/issues/118> check all distortion coefficients to see if rectification ought to be done
  * Contributors: Lucas Walter

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 10 Mar 2016 06:00:00 -0000

ros-crystal-image-geometry (1.11.11-0bionic) bionic; urgency=high

  * clean up the doc files
  * fix a few warnings in doc jobs
  * Contributors: Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 31 Jan 2016 06:00:00 -0000

ros-crystal-image-geometry (1.11.10-0bionic) bionic; urgency=high




